MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
sc::SOTransformShell Class Reference

SOTransformShell maintains a list of AO functions contribute to an SO function in a particular SO shell. More...

`#include <sobasis.h>`

Collaboration diagram for sc::SOTransformShell:
[legend]

## Public Member Functions
void | add_func (int irrep, double coef, int aofunc, int sofunc)
| Add another function to the transform.

## Public Attributes
int | aoshell
| The number of the AO shell from which these functions come.
int | nfunc
| The number of AO/SO function pairs contributing.
SOTransformFunction * | func
| The array of SOTransformFunction objects describing the transform.

## Detailed Description

SOTransformShell maintains a list of AO functions contribute to an SO function in a particular SO shell.

The information is stored in objects of type SOTransformFunction.

The documentation for this class was generated from the following file:

- sobasis.h